<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['post-title2'];
  $helppage = "";

  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['dolzhnost'])) puterror2($TEXT['error-post1']);
  if(strlen($_POST['dolzhnost'])>120) puterror2($TEXT['error-post3']);
  if(empty($_POST['position'])) puterror2($TEXT['error-post4']);
  if(strlen($_POST['position'])>5) puterror2($TEXT['error-post5']);

  if(isset($_POST['dolzhnost'])) $dolzhnost=trim($_POST['dolzhnost']);
    else $dolzhnost="";
     if(empty($dolzhnost)) puterror2($TEXT['error-post6']);

  if(isset($_POST['position'])) $position=trim($_POST['position']);
    else $position="";
     if(empty($position)) puterror2($TEXT['error-post7']);

  $_POST['dolzhnost'] = rep($_POST['dolzhnost']);
  $_POST['position'] = rep($_POST['position']);

  $query_chk = "SELECT `dolzhnost` FROM `tbl_dolzhnost` WHERE `dolzhnost`='".$_POST['dolzhnost']."' ";
     $result_chk = mysql_query($query_chk);
     if(!$result_chk) puterror2($TEXT['error-tbl6']);
       if(mysql_num_rows($result_chk)>0) puterror2($TEXT['global-est']);

  //*************************************
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-post1'];
  $what = $_POST['dolzhnost'];
  $who = $result2['fullname'];
  //*************************************
  $query = "INSERT INTO `tbl_dolzhnost` ( `dol_id` , `dolzhnost`, `position` ) VALUES ( NULL , '".$_POST['dolzhnost']."', '".$_POST['position']."')";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-post2']);
  require_once "../util/bottom.php";
?>